import java.awt.*;
import javax.swing.*;
import java.awt.event.*;


public class TJCheckBox extends JApplet {
    JLabel label2 = null;

    public  void init() {
        //1. Obtain a handle on the JApplet container.
        Container container = this.getContentPane();

        //2. Set the layout.
        container.setLayout(new GridLayout(5, 1));

        //3. Create the radio buttons.
        JCheckBox cBox1, cBox2, cBox3;
        cBox1 = new JCheckBox("Light-weight!");
        cBox2 = new JCheckBox("Ready-made!");
        cBox3 = new JCheckBox("Easy-to-use!");

        //4. Add the item listener to the check boxes.
        CheckBoxListener listener = new CheckBoxListener();
        cBox1.addItemListener(listener);
        cBox2.addItemListener(listener);
        cBox3.addItemListener(listener);

        //5. Set the text position of each button.
        cBox1.setHorizontalTextPosition(SwingConstants.LEFT);
        cBox1.setVerticalTextPosition(SwingConstants.BOTTOM);
        cBox2.setHorizontalTextPosition(SwingConstants.CENTER);
        cBox2.setVerticalTextPosition(SwingConstants.BOTTOM);
        cBox3.setHorizontalTextPosition(SwingConstants.RIGHT);
        cBox3.setVerticalTextPosition(SwingConstants.BOTTOM);

        //6. Set the position of each button in its display area.
        cBox1.setHorizontalAlignment(SwingConstants.LEFT);
        cBox2.setHorizontalAlignment(SwingConstants.CENTER);
        cBox3.setHorizontalAlignment(SwingConstants.RIGHT);

        //7. Create a couple of label to notify what to do and
        // what happened.
        Font font = new Font("Monospaced", Font.ITALIC, 16);
        JLabel label1 = new JLabel("The JFC/Swing Widgets are:");
        label1.setFont(font);
        label2 = new JLabel("Select the Check Boxes");
        label2.setFont(font);

        //8. Finally, addeach component to the Swing applet.
        container.add(label1);
        container.add(cBox1);
        container.add(cBox2);
        container.add(cBox3);
        container.add(label2);
    }
    //9. Listener class for check boxes.
    class CheckBoxListener implements ItemListener {
        private double n = 0.0;
        public void itemStateChanged(ItemEvent evt) {
            n = n + 100.0/3.0;
            label2.setText("Your Answer is "
                           + new Double(n).toString()
                           + "% Correct!");
            JCheckBox cBox = (JCheckBox) evt.getSource();
            cBox.setEnabled(false);
        }
    }
}
