import javax.swing.*;
import java.awt.*;

public class TJPasswordField extends JApplet {
    Container container;

    public void init() {
        // 1. Get the handle on the applet's content pane.
        container = this.getContentPane();

        // 2. Set the applet background color and layout.
        container.setBackground(Color.lightGray);
        GridBagLayout gridbag = new GridBagLayout();
        container.setLayout(gridbag);
        GridBagConstraints c = new GridBagConstraints();
        c.insets = new Insets(5,5,5,5); // top, left, bottom, right
        c.weightx = 1; c.weighty = 1;

        // 3. Create the component objects
        // and add them to the applet using grid bag layout.
        c.fill = c.BOTH;
        c.gridx = 0; c.gridy = 0;
        c.gridwidth = 1; c.gridheight = 1;
        JLabel label1 = new JLabel("Enter the Username: ");
        gridbag.setConstraints(label1, c);
        container.add(label1);

        c.gridx = 0; c.gridy = 1;
        JLabel label2 = new JLabel("Enter the Pass-Word: ");
        gridbag.setConstraints(label2, c);
        container.add(label2);

        c.fill = c.NONE;
        c.anchor = c.WEST;
        c.gridx = 1; c.gridy = 0;
        JTextField textField = new JTextField("satyaraj", 15);
        gridbag.setConstraints(textField, c);
        container.add(textField);

        c.gridx = 1; c.gridy = 1;
        JPasswordField passwordField = new JPasswordField(6);
        passwordField.setBorder(BorderFactory.createLineBorder(Color.red));
        gridbag.setConstraints(passwordField, c);
        container.add(passwordField);

        // 4. Set an echo character for the password field.
        // Note: The default character is "*".
        passwordField.setEchoChar('x');
    }
}
